package cn.ibizlab.businesscentral.core.runtime.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.runtime.domain.BulkOperationLog;
import cn.ibizlab.businesscentral.core.runtime.filter.BulkOperationLogSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[BulkOperationLog] 服务对象接口
 */
public interface IBulkOperationLogService extends IService<BulkOperationLog>{

    boolean update(BulkOperationLog et) ;
    void updateBatch(List<BulkOperationLog> list) ;
    BulkOperationLog get(String key) ;
    boolean create(BulkOperationLog et) ;
    void createBatch(List<BulkOperationLog> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    boolean save(BulkOperationLog et) ;
    void saveBatch(List<BulkOperationLog> list) ;
    boolean checkKey(BulkOperationLog et) ;
    BulkOperationLog getDraft(BulkOperationLog et) ;
    Page<BulkOperationLog> searchDefault(BulkOperationLogSearchContext context) ;
    List<BulkOperationLog> selectByBulkoperationid(String activityid) ;
    void removeByBulkoperationid(String activityid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<BulkOperationLog> getBulkoperationlogByIds(List<String> ids) ;
    List<BulkOperationLog> getBulkoperationlogByEntities(List<BulkOperationLog> entities) ;

}


